/*
 * ----------------------------------------------------------------
 * Night Light IRC Proxy - Connection Logging Header
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2007 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (21.12.2007)
 *
 */

#ifdef CONN_LOG_H
#warning "conn_log.h already included."
#else
#define CONN_LOG_H

/* FUNCTION PROTOTYPES - JONAS (24.06.2000) */

unsigned short int conn_log(struct Conn_Struct *ConnS, const char *const ChanPT, const char *const NickPT, const char *const UserPT, const char *const HostPT, const char *const NUHPT, const char *const CommandPT, const char *const ParamPT, const char *const MessagePT);
void conn_rawlog(struct Conn_Struct *ConnS, const char *const LinePT, ...);

#endif
