/*
 * ----------------------------------------------------------------
 * Night Light IRC Proxy - Main Header
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2007 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (23.08.2001)
 *
 */

#ifdef MAIN_H
#warning "main.h already included."
#else
#define MAIN_H

/* FUNCTION PROTOTYPES - JONAS (23.08.2001) */

int main(int argc, char **argv);
void main_read(void);
void main_write(void);
void main_rehash(void);
void main_loop(void);
#ifdef MAIN_C
  static void main_io(fd_set *ReadFDS, fd_set *WriteFDS, unsigned long int *FDS);
  static void main_parse(void);
#endif
void main_exit(const char *const MessagePT, ...) __attribute__ ((format (printf, 1, 2)));

#endif
