/*
 * ----------------------------------------------------------------
 * Night Light IRC Proxy - Client Handle Header
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2007 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (24.11.2007)
 *
 */

#ifdef CLIENT_HANDLE_H
#warning "client_handle.h already included."
#else
#define CLIENT_HANDLE_H

struct hostent;
struct Listen_Struct;

/* FUNCTION PROTOTYPES - JONAS (18.07.2001) */

unsigned short int client_accesscheck(struct Client_Struct *ClientS);
void client_welcome(struct Client_Struct *ClientS);
void client_attach(struct Client_Struct *ClientS, struct Conn_Struct *ConnS);
void client_detach(struct Client_Struct *ClientS);

#endif
