/*
 * ----------------------------------------------------------------
 * Night Light IRC Proxy - Connection I/O Header
 * ----------------------------------------------------------------
 * Copyright (C) 1997-2007 Jonas Kvinge <jonas@night-light.net>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Last modified by:
 * Jonas Kvinge (24.11.2007)
 *
 */

#ifdef CONN_IO_H
#warning "conn_io.h already included."
#else
#define CONN_IO_H

struct Conn_Struct;

/* FUNCTION PROTOTYPES - JONAS (18.07.2001) */

void conn_fds(fd_set *ReadFDS, fd_set *WriteFDS, unsigned long int *FDS);
void conn_io(fd_set *ReadFDS, fd_set *WriteFDS, unsigned long int *FDS);
void conn_recv(struct Conn_Struct *ConnS);
void conn_send(struct Conn_Struct *ConnS);

#endif
